
package com.tmerclub.cloud.auth.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;

import java.io.Serial;
import java.io.Serializable;

/**
 * 小程序通过code进行登录
 *
 * @author tmerclub
 * @date 2022/09/06
 */
public class MaCodeAuthenticationDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    @NotBlank
    @Schema(description = "临时的uid，微信公众号支付需要openid，但用户又不绑定社交账号，所以这个openId是临时的")
    private String tempUid;

    @NotBlank
    @Schema(description = "小程序通过getPhoneNumber方法获取的code")
    private String code;

    public String getTempUid() {
        return tempUid;
    }

    public void setTempUid(String tempUid) {
        this.tempUid = tempUid;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Override
    public String toString() {
        return "MaCodeAuthenticationDTO{" +
                "tempUid='" + tempUid + '\'' +
                ", code='" + code + '\'' +
                '}';
    }
}
